---
title: Accueil
description: Une documentation pour différents projets !
published: true
date: 2021-05-25T11:58:42.159Z
tags: 
editor: markdown
dateCreated: 2021-05-24T10:33:11.318Z
---

![wiki_-_tech_(2).gif](/wiki_-_tech_(2).gif =50%x)

# Présentation
> Wiki-Tech se veut être un endroit pour partager nos connaissances ensemble. 
Nous sommes plusieurs professionnels de l’IT, étudiants ou passionnés à rédiger des notes ou des documentations sur différents sujets et les garder sur nos postes. Alors pourquoi ne pas les partager entre nous ? Cela nous permettrais de monter en compétences, de découvrir des solutions et de s’instruire mutuellement.
Ce projet repose sur [Wiki.js](https://js.wiki) et est entièrement disponible sur [Github](https://github.com/PAPAMICA/Wiki-Tech.io) directement. 
{.is-success}

> 🚧  Wiki-Tech est encore en cours de migration. Certaines documentations ne sont pas encore disponibles.
> Dernière mise à jours : 25/05/2021
{.is-warning}

> Si vous souhaitez rédiger sur Wiki-Tech, c'est possible ! Jetez un oeil à [Devenir-Contributeur](/README) ❤️
{.is-info}

 ---
 
 # Apple
- [📱 iOS / iPadOS 🚧 *Les astuces pour les OS Mobile de la pomme*](/Apple/home#ios-ipados)
- [💻 MacOS 🚧 *De l'installation aux différentes astuces*](/Apple/home#macos)
- [⌚ Accessoires 🚧 *Les accessoires utiles pour l'écosystème Apple*](/Apple/home#accessoires)
{.links-list}
 
 # Cloud
- [☁️ OpenStack *Un cloud opensource pouvant être autohébergé*](/Cloud/home#openstack)
- [☁️ Jelastic 🚧 *Une technologie de cloud simple et efficace !*](/Cloud/home#jelastic)
- [☁️ AWS 🚧 *Comprendre et utiliser le cloud d'Amazon*](/Cloud/home#aws)
- [☁️ Azure 🚧 *Comprendre et utiliser le cloud de Microsoft*](/Cloud/home#azure-cloud)
- [☁️ Google Cloud 🚧 *Comprendre et utiliser le cloud de Google*](/Cloud/home#google-cloud)
{.links-list}

 # Conteneurisation
 - [🐳 Docker *Découvrir la conteneurisation avec Docker*](/Conteneurisation/home#docker)
 - [💠 Kubernetes 🚧 *Aller plus loins avec de la scalabilité et de la haute disponibilité*](/Conteneurisation/home#kubernetes) 
 - [💙 SelfHosted *Déployer des application et des services avec Docker*](/Conteneurisation/home#selfhosted)
{.links-list}

# Domotique
- [🦕 Jeedom 🚧 *Mon serveur de domotique préféré*](/Domotique/home#jeedom)
- [🍎 Homebridge 🚧 *Ajouter la compatibilité avec HomeKit*](/Domotique/home#homebridge)
- [🏠 HomeAssistant 🚧 *Un serveur de domotique simple*](/Domotique/home#homeassistant)
{.links-list}

# Gestionnaire de configurations
- [⚙️ Ansible 🚧 *Un gestionnaire de configuration via SSH*](/Configuration/home#ansible)
- [⚙️ Puppet 🚧 *Un gestionnaire de configuration avec agents*](/Configuration/home#puppet)
- [⚙️ DSC 🚧 *Un gestionnaire de configuration pour Powershell*](/Configuration/home#dsc)
- [⚙️ Terraform 🚧 *De l'infrastructure as code*](/Configuration/home#terraform)
{.links-list}
 
# Linux
- [🧪 Débutant *L'utilisation et les commandes de base*](/Linux/home#débutant)
- [⚗️ Avancé *Gestion des disques, sauvegardes, etc...*](/Linux/home#avancé)
- [🧬 Expert 🚧 *Pour aller encore plus loin*](/Linux/home#expert)
{.links-list}

# Microsoft
- [🖥️ Windows 7/10 *Trucs et astuces pour Windows 7 et 10*](/Microsoft/home#windows-7-10)
- [📟 Windows Server *Installation et gestion de services sous Windows Server*](/Microsoft/home#windowsserver)
- [🗜️ Azure 🚧 *Gérer son parc infomatique avec le cloud*](/Microsoft/home#azure)
- [📧 Exchange 2016 *Installer et configurer un serveur Exchange*](/Microsoft/home#exchange-2016)
- [📌 Microsoft 365 🚧 *Comprendre et utiliser les services de Microsoft 365*](/Microsoft/home#microsoft-365)
{.links-list}

# NAS
- [❤️ Synology / XPEnology *Installation, configuration et astuces des sous DSM*](/NAS/home#synology)
- [📁 QNAP 🚧 *Trucs et astuces pour les NAS QNAP*](/NAS/home#qnap)
- [📂 TrueNAS 🚧 *Un système de stockage Opensource et complet*](/NAS/home#truenas)
- [🗂️ UNRAID 🚧 *Un NAS qui va tout de même plus loin*](/NAS/home#unraid)
{.links-list}

# Réseau
- [🌐 Protocoles *Découvrir et comprendre les bases du réseau*](/Réseau/home#protocoles)
- [🖲️ Equipements 🚧 *Les différents équipements d'un réseau*](/Réseau/home#equipements)
- [⭐ Avancé *Les VPNs, Tor, etc...*](/Réseau/home#avancé)
{.links-list}

# Sauvegarde
- [📦 Altaro 🚧 *Sauvegarder Hyper-V ou ESXi*](/Sauvegarde/home#altaro)
- [📦 Veeam 🚧 *Un système de sauvegarde complet*](/Sauvegarde/home#veeam)
- [📦 UrBackup 🚧 *Un système de sauvegarde entièrement OpenSource*](/Sauvegarde/home#urbackup)
- [📦 SwissBackup 🚧 *Pour des sauvegardes externalisées avec Swift*](/Sauvegarde/home#swissbackup)
{.links-list}

# Scripting
- [✨ Les bases 🚧 *Quel que soit le langage utilisé, il y a quelques notions à connaitre*](/Scripting/home#base)
- [🐧 Bash *Le commencement d'une automatisation*](/Scripting/home#bash)
- [🐍 Python *Un langage qui fonctionne sur tous les OS*](/Scripting/home#python)
- [🪟 PowerShell *Un langage puissant dédié à Windows*](/Scripting/home#powershell)
{.links-list}

# Sécurité
- [🔑 Chiffrement *Du certificat SSL au chiffrement des données*](/Sécurité/home#chiffrement)
- [💥 Pentest 🚧 *S'introduire dans des systèmes soit disant protégés*](/Sécurité/home#pentest)
- [🛡️ Protection 🚧 *Se protéger des attaques informatiques*](/Sécurité/home#protection)
{.links-list}

# Supervision
- [💢 Zabbix *Un sytème Opensource complet basé sur Nagios*](/Supervision/home#zabbix)
- [©️ Centreon *Un sytème Opensource clé en main*](/Supervision/home#centreon)
{.links-list}

# Traitement de données
- [📊 Grafana *De l"affiche de données simple et efficace*](/Données/home#grafana)
- [📊 Elastic *Une solution très complète pour la gestion de données*](/Données/home#elastic)
{.links-list}

# Virtualisation
- [➰ ESXi *Comprendre et utiliser l'hyperviseur de VMware*](/Virtualisation/home#vmware-esxi)
- [➰ Hyper-V *Comprendre et utiliser l'hyperviseur de Microsoft*](/Virtualisation/home#hyper-v)
- [➰ Proxmox *Un hyperviseur OpenSource*](/Virtualisation/home#proxmox)
- [➰ VirtualBox *Trucs et astuces pour de la virtualisation locale*](/Virtualisation/home#virtualbox)
{.links-list}